Subject: Re: bug#35434: terminal emacs: continuation line indicator missing when word wrapping is enabled

From: Luis Gerhorst <[email-masked]>
Date: Fri, 26 Apr 2019 13:49:08 +0200

Eli Zaretskii writes:

>> From: Luis Gerhorst <[email-masked]>
>> Cc: [email-masked]
>> Date: Fri, 26 Apr 2019 13:29:49 +0200
>>
>> Eli Zaretskii writes:
>>
>> > Making continuation glyphs appear in TTY frames shouldn't be
>> > hard, but
>> > I don't know how important is that.
>>
>> Would you accept a patch if I manage to create one?
>
> I will definitely review it.  If it's clean, and if its smaller 
> than
> about 15 lines, we can accept it; longer patches will need you 
> to
> assign copyright to the FSF.
>
> Would you perhaps like to describe the idea behind the patch you 
> would
> like to submit before actually coding it?  This could avoid the 
> need
> to rework it more than necessary.

Code-wise I have no idea yet ;)

My initial approach would be to have a look at the patches that
introduced word wrapping in the first place. If I'm lucky they 
modified
the GUI code to still show the fringe indicators, but simply 
missed the
TUI code.

However, I've not read any Emacs C code ever. I'll look into it 
and come
back when I unserstand the problem.